Print Friendly

# Class YAHOO.widget.TVFadeOut

Package: | YAHOO.widget
Class: | TVFadeOut
Extends: | Object
Defined In: | treeview.js

A 1/2 second fade out animation.

## Public Properties

Property | Defined By
--- | ---
| callback : function | TVFadeOut
the callback to invoke when the animation is complete
| el : HTMLElement | TVFadeOut
The element to animate

## Public Methods

Method | Defined By
--- | ---
| TVFadeOut(`el {HTMLElement}`, `callback {Function}`) | TVFadeOut
| animate() : void | TVFadeOut
Performs the animation
| onComplete() : void | TVFadeOut
Clean up and invoke callback
| toString() : string | TVFadeOut
toString

## Public Events

This class has no public events.

## Property Details

### callback

`public function callback`
the callback to invoke when the animation is complete
This property is defined by TVFadeOut.

### el

`public HTMLElement el`
The element to animate
This property is defined by TVFadeOut.

## Constructor Details

### TVFadeOut

`public function TVFadeOut(`el {HTMLElement}`, `callback {Function}`)`
Parameters:

- `{HTMLElement}` : el
  the element to animate
- `{Function}` : callback
  function to invoke when the animation is finished

## Method Details

### animate

`public function animate()`
Performs the animation
Parameters:

- None.

Returns:

- `void`

This method is defined by TVFadeOut.

### onComplete

`public function onComplete()`
Clean up and invoke callback
Parameters:

- None.

Returns:

- `void`

This method is defined by TVFadeOut.

### toString

`public function toString()`
toString
Parameters:

- None.

Returns:

- `string`
  the string representation of the instance

This method is defined by TVFadeOut.

Copyright © 2006 Jack Slocum. All rights reserved.